Managed Service for Apache Airflow™ API, REST: Cluster.Update
- HTTP request
- Path parameters
- Body parameters
- UpdateClusterConfigSpec
- AirflowConfig
- WebserverConfig
- Resources
- SchedulerConfig
- TriggererConfig
- WorkerConfig
- Dependencies
- LockboxConfig
- DagProcessorConfig
- DatacatalogConfig
- CodeSyncConfig
- S3Config
- GitSyncConfig
- UpdateNetworkConfigSpec
- LoggingConfig
- MaintenanceWindow
- WeeklyMaintenanceWindow
- Response
- Status
Updates the specified Apache Airflow cluster.
HTTP request
PATCH https://airflow.api.cloud.yandex.net/managed-airflow/v1/clusters/{clusterId}
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the Apache Airflow Cluster resource to update. The maximum string length in characters is 50. |
Body parameters
{
"updateMask": "string",
"name": "string",
"description": "string",
"labels": "object",
"configSpec": {
"airflow": {
"config": "object"
},
"webserver": {
"count": "string",
"resources": {
"resourcePresetId": "string"
}
},
"scheduler": {
"count": "string",
"resources": {
"resourcePresetId": "string"
}
},
"triggerer": {
"count": "string",
"resources": {
"resourcePresetId": "string"
}
},
"worker": {
"minCount": "string",
"maxCount": "string",
"resources": {
"resourcePresetId": "string"
}
},
"dependencies": {
"pipPackages": [
"string"
],
"debPackages": [
"string"
]
},
"lockbox": {
"enabled": "boolean"
},
"airflowVersion": "string",
"pythonVersion": "string",
"dagProcessor": {
"count": "string",
"resources": {
"resourcePresetId": "string"
}
},
"datacatalog": {
"enabled": "boolean"
}
},
"codeSync": {
// Includes only one of the fields `s3`, `gitSync`
"s3": {
"bucket": "string"
},
"gitSync": {
"repo": "string",
"branch": "string",
"subPath": "string",
"sshKey": "string"
}
// end of the list of possible fields
},
"networkSpec": {
"securityGroupIds": [
"string"
]
},
"deletionProtection": "boolean",
"serviceAccountId": "string",
"logging": {
// Includes only one of the fields `folderId`, `logGroupId`
"folderId": "string",
"logGroupId": "string",
// end of the list of possible fields
"enabled": "boolean",
"minLevel": "string"
},
"maintenanceWindow": {
// Includes only one of the fields `anytime`, `weeklyMaintenanceWindow`
"anytime": "object",
"weeklyMaintenanceWindow": {
"day": "string",
"hour": "string"
}
// end of the list of possible fields
}
}
|
Field |
Description |
|
updateMask |
string (field-mask) A comma-separated names off ALL fields to be updated. If |
|
name |
string New name of the cluster. Value must match the regular expression |
|
description |
string New description of the Apache Airflow cluster. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) Custom labels for the Apache Airflow cluster as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
configSpec |
Configuration of Apache Airflow components. |
|
codeSync |
Parameters of the location and access to the code that will be executed in the cluster. |
|
networkSpec |
Network related configuration options. |
|
deletionProtection |
boolean Deletion Protection inhibits deletion of the cluster |
|
serviceAccountId |
string Service account used to access Cloud resources. The maximum string length in characters is 50. |
|
logging |
Cloud Logging configuration. |
|
maintenanceWindow |
Window of maintenance operations. |
UpdateClusterConfigSpec
|
Field |
Description |
|
airflow |
Configuration of the Apache Airflow application itself. |
|
webserver |
Configuration of webserver instances. |
|
scheduler |
Configuration of scheduler instances. |
|
triggerer |
Configuration of triggerer instances. |
|
worker |
Configuration of worker instances. |
|
dependencies |
The list of additional packages installed in the cluster. |
|
lockbox |
Configuration of Lockbox Secret Backend. |
|
airflowVersion |
string Apache Airflow version. Format: "Major.Minor" |
|
pythonVersion |
string Python version. Format: "Major.Minor" |
|
dagProcessor |
Configuration of dag-processor instances. |
|
datacatalog |
Configuration for datacatalog integration. |
AirflowConfig
|
Field |
Description |
|
config |
object (map<string, string>) Properties to be passed to Apache Airflow configuration file. |
WebserverConfig
|
Field |
Description |
|
count |
string (int64) The number of webserver instances in the cluster. Acceptable values are 1 to 512, inclusive. |
|
resources |
Resources allocated to webserver instances. |
Resources
|
Field |
Description |
|
resourcePresetId |
string ID of the preset for computational resources available to an instance (CPU, memory etc.). |
SchedulerConfig
|
Field |
Description |
|
count |
string (int64) The number of scheduler instances in the cluster. Acceptable values are 1 to 512, inclusive. |
|
resources |
Resources allocated to scheduler instances. |
TriggererConfig
|
Field |
Description |
|
count |
string (int64) The number of triggerer instances in the cluster. Acceptable values are 0 to 512, inclusive. |
|
resources |
Resources allocated to triggerer instances. |
WorkerConfig
|
Field |
Description |
|
minCount |
string (int64) The minimum number of worker instances in the cluster. Acceptable values are 0 to 512, inclusive. |
|
maxCount |
string (int64) The maximum number of worker instances in the cluster. Acceptable values are 1 to 512, inclusive. |
|
resources |
Resources allocated to worker instances. |
Dependencies
|
Field |
Description |
|
pipPackages[] |
string Python packages that are installed in the cluster. |
|
debPackages[] |
string System packages that are installed in the cluster. |
LockboxConfig
|
Field |
Description |
|
enabled |
boolean The setting allows to enable Lockbox Secret Backend. |
DagProcessorConfig
|
Field |
Description |
|
count |
string (int64) The number of dag-processor instances in the cluster. Acceptable values are 1 to 512, inclusive. |
|
resources |
Resources allocated to dag-processor instances. |
DatacatalogConfig
|
Field |
Description |
|
enabled |
boolean The setting allows to enable sending data to Datacatalog Backend. |
CodeSyncConfig
|
Field |
Description |
|
s3 |
Configuration for s3 folder for dags Includes only one of the fields |
|
gitSync |
Configuration for git repository for dags Includes only one of the fields |
S3Config
|
Field |
Description |
|
bucket |
string The name of the Object Storage bucket that stores DAG files used in the cluster. |
GitSyncConfig
|
Field |
Description |
|
repo |
string Required field. Git repository URL. |
|
branch |
string Required field. Git branch name to sync from. |
|
subPath |
string Subdirectory path within the repository containing DAG files. |
|
sshKey |
string SSH private key for repository authentication. |
UpdateNetworkConfigSpec
|
Field |
Description |
|
securityGroupIds[] |
string User security groups. |
LoggingConfig
|
Field |
Description |
|
folderId |
string Logs should be written to default log group for specified folder. Value must match the regular expression Includes only one of the fields Destination of log records. |
|
logGroupId |
string Logs should be written to log group resolved by ID. Value must match the regular expression Includes only one of the fields Destination of log records. |
|
enabled |
boolean Logs generated by the Airflow components are delivered to Cloud Logging. |
|
minLevel |
enum (Level) Minimum log entry level.
|
MaintenanceWindow
|
Field |
Description |
|
anytime |
object Includes only one of the fields |
|
weeklyMaintenanceWindow |
Includes only one of the fields |
WeeklyMaintenanceWindow
|
Field |
Description |
|
day |
enum (WeekDay)
|
|
hour |
string (int64) Hour of the day in UTC. Acceptable values are 1 to 24, inclusive. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |